### A free/open-source library for quantitative finance

Classes
ql/math/interpolations/loginterpolation.hpp File Reference

log-linear and log-cubic interpolation between discrete points More...

`#include <ql/math/interpolations/linearinterpolation.hpp>`
`#include <ql/math/interpolations/cubicinterpolation.hpp>`
`#include <ql/utilities/dataformatters.hpp>`
Include dependency graph for loginterpolation.hpp:

## Classes

class | LogLinearInterpolation
| log-linear interpolation between discrete points More...
class | LogLinear
| log-linear interpolation factory and traits More...
class | LogCubicInterpolation
| log-cubic interpolation between discrete points More...
class | LogCubic
| log-cubic interpolation factory and traits More...

## Detailed Description

log-linear and log-cubic interpolation between discrete points